Package twisted :: Package web :: Module widgets :: Class Widget

[frames | no frames]

## Class Widget

Known Subclasses:
  `Container`, `DataWidget`, `Form`, `ParticipantInfoWidget`, `ParticipantListWidget`, `PerspectivesGadget`, `Presentation`, `StreamWidget`, `Time`, `WidgetGuard`, `WidgetMixin`, `WordsGadget`

A component of a web page.

Method Summary
| ``display`(self, request)` Implement me to represent your widget.
| `getTitle(self, request)`

Class Variable Summary
`NoneType` | `title` = None

Method Details

### display(self, request)

Implement me to represent your widget.

I must return a list of strings and twisted.internet.defer.Deferred instances.

Class Variable Details

### title

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 2.0 on Sat May 15 20:08:28 2004 | http://epydoc.sf.net